net.snowflake.client.log

## Class JDK14Logger

- java.lang.Object
- - net.snowflake.client.log.JDK14Logger

All Implemented Interfaces:
  SFLogger

    public class JDK14Logger
    extends Object
    implements SFLogger

Use java.util.logging to implements SFLogger.

Log Level mapping from SFLogger to java.util.logging: ERROR -- SEVERE WARN -- WARNING INFO -- INFO DEBUG -- FINE TRACE -- FINEST

Created by hyu on 11/17/16.

### Constructor Summary

Constructors
Constructor and Description
`JDK14Logger(String name)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static void` `addHandler(Handler handler)`
`void` `debug(String msg)`
`void` `debug(String msg, Object... arguments)`
`void` `debug(String msg, Throwable t)`
`void` `error(String msg)`
`void` `error(String msg, Object... arguments)`
`void` `error(String msg, Throwable t)`
`static void` `honorTracingParameter(Level level)` Deprecated.
`void` `info(String msg)`
`void` `info(String msg, Object... arguments)`
`void` `info(String msg, Throwable t)`
`boolean` `isDebugEnabled()` Is debug level enabled?
`boolean` `isErrorEnabled()` Is error level enabled?
`boolean` `isInfoEnabled()` Is info level enabled?
`boolean` `isTraceEnabled()` Is trace level enabled?
`boolean` `isWarnEnabled()` Is warn level enabled?
`static void` `setLevel(Level level)`
`void` `trace(String msg)`
`void` `trace(String msg, Object... arguments)`
`void` `trace(String msg, Throwable t)`
`void` `warn(String msg)`
`void` `warn(String msg, Object... arguments)`
`void` `warn(String msg, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDK14Logger

    public JDK14Logger(String name)

### Method Detail

#### isDebugEnabled

    public boolean isDebugEnabled()

Description copied from interface: `SFLogger`
Is debug level enabled?

Specified by:
  `isDebugEnabled` in interface `SFLogger`
Returns:
  true if the trace level is DEBUG

#### isErrorEnabled

    public boolean isErrorEnabled()

Description copied from interface: `SFLogger`
Is error level enabled?

Specified by:
  `isErrorEnabled` in interface `SFLogger`
Returns:
  true if the trace level is ERROR

#### isInfoEnabled

    public boolean isInfoEnabled()

Description copied from interface: `SFLogger`
Is info level enabled?

Specified by:
  `isInfoEnabled` in interface `SFLogger`
Returns:
  true if the trace level is INFO

#### isTraceEnabled

    public boolean isTraceEnabled()

Description copied from interface: `SFLogger`
Is trace level enabled?

Specified by:
  `isTraceEnabled` in interface `SFLogger`
Returns:
  true if the trace level is TRACE

#### isWarnEnabled

    public boolean isWarnEnabled()

Description copied from interface: `SFLogger`
Is warn level enabled?

Specified by:
  `isWarnEnabled` in interface `SFLogger`
Returns:
  true if the trace level is WARN

#### debug

    public void debug(String msg)

Specified by:
  `debug` in interface `SFLogger`

#### debug

    public void debug(String msg,
                      Object... arguments)

Specified by:
  `debug` in interface `SFLogger`

#### debug

    public void debug(String msg,
                      Throwable t)

Specified by:
  `debug` in interface `SFLogger`

#### error

    public void error(String msg)

Specified by:
  `error` in interface `SFLogger`

#### error

    public void error(String msg,
                      Object... arguments)

Specified by:
  `error` in interface `SFLogger`

#### error

    public void error(String msg,
                      Throwable t)

Specified by:
  `error` in interface `SFLogger`

#### info

    public void info(String msg)

Specified by:
  `info` in interface `SFLogger`

#### info

    public void info(String msg,
                     Object... arguments)

Specified by:
  `info` in interface `SFLogger`

#### info

    public void info(String msg,
                     Throwable t)

Specified by:
  `info` in interface `SFLogger`

#### trace

    public void trace(String msg)

Specified by:
  `trace` in interface `SFLogger`

#### trace

    public void trace(String msg,
                      Object... arguments)

Specified by:
  `trace` in interface `SFLogger`

#### trace

    public void trace(String msg,
                      Throwable t)

Specified by:
  `trace` in interface `SFLogger`

#### warn

    public void warn(String msg)

Specified by:
  `warn` in interface `SFLogger`

#### warn

    public void warn(String msg,
                     Object... arguments)

Specified by:
  `warn` in interface `SFLogger`

#### warn

    public void warn(String msg,
                     Throwable t)

Specified by:
  `warn` in interface `SFLogger`

#### addHandler

    public static void addHandler(Handler handler)

#### setLevel

    public static void setLevel(Level level)

#### honorTracingParameter

    @Deprecated
    public static void honorTracingParameter(Level level)

Deprecated.
This is legacy way of enable logging in JDBC (through TRACING parameter) Only effective when java.util.logging.config.file is not specified